package cn.com.qmth.scancentral.service.impl;

import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.scancentral.dao.MarkSiteDao;
import cn.com.qmth.scancentral.entity.MarkSiteEntity;
import cn.com.qmth.scancentral.enums.ScanStatus;
import cn.com.qmth.scancentral.service.MarkSiteService;
import cn.com.qmth.scancentral.util.PageUtil;
import cn.com.qmth.scancentral.vo.marksite.MarkSitePageQuery;
import cn.com.qmth.scancentral.vo.marksite.MarkSitePageVo;
import cn.com.qmth.scancentral.vo.student.StudentPageVo;

@Service
public class MarkSiteServiceImpl extends ServiceImpl<MarkSiteDao, MarkSiteEntity> implements MarkSiteService {

    @Override
    public PageResult<MarkSitePageVo> findMarkSitePage(MarkSitePageQuery query) {
        IPage<MarkSitePageVo> iPage = baseMapper
                .findMarkSitePage(new Page<>(query.getPageNumber(), query.getPageSize()), query);
        return PageUtil.of(iPage);
    }

}
